GDCM 3.2.1

Public Member Functions | List of all members
gdcm::network::ULActionDT2 Class Reference

`#include <gdcmULActionDT.h>`

Inheritance diagram for gdcm::network::ULActionDT2:
[legend]
Collaboration diagram for gdcm::network::ULActionDT2:
[legend]

## Public Member Functions
EStateID | PerformAction (Subject *s, ULEvent &inEvent, ULConnection &inConnection, bool &outWaitingForEvent, EEventID &outRaisedEvent) override
Public Member Functions inherited from gdcm::network::ULAction
| ULAction ()=default
| ULAction (const ULAction &inAction)=delete
virtual | ~ULAction ()=default
void | operator= (const ULAction &)=delete

## Member Function Documentation

## ◆ PerformAction()

EStateID gdcm::network::ULActionDT2::PerformAction | ( | Subject * | s,
|  | ULEvent & | inEvent,
|  | ULConnection & | inConnection,
|  | bool & | outWaitingForEvent,
|  | EEventID & | outRaisedEvent )
| override virtual

Implements gdcm::network::ULAction.

The documentation for this class was generated from the following file:

- gdcmULActionDT.h